1. MARKET
Rapira
  • Введение
  • JWT
    • Инструкция по созданию JWT
    • Generate JWT
      POST
  • CRYPTO MERCHANT
    • Адреса
      • Get address by currency
      • Create address by currency
      • Get address details by id
      • Get address list by currency
      • Start use address
      • Stop use address
    • Пополнения
      • Get deposits
  • MARKET
    • Get spot fees
      GET
    • Pairs
      GET
    • Token
      GET
    • Get rates JSON
      GET
    • Get rates XML
      GET
    • Get market depth
      POST
  • BALANCE
    • Get frozen balances
      GET
    • Get balance operations coins and types
      GET
    • Get balance operations
      POST
    • Get frozen balances detailed
      GET
    • Get Balances
      GET
  • SERVER TIME
    • Get server time
      GET
  • ORDER
    • Order history
      GET
    • Order details
      GET
    • Add exchange order
      POST
    • Cancel order
      POST
  • CRYPTO PAYOUT
    • Withdraw
      • Withdraw create
      • Withdraw crypto history Record
      • Withdraw crypto history
  • FIAT PAYOUT
    • Fiat
      • Withdraw fiat history
      • Withdraw fiat history Record
    • FIAT TRANSACTION
      • Fiat Transactions
      • Fiat Withdraw For Record
  • AML
    • AML balance
    • Recheck
    • Check address
    • Check transaction
  • rCode
    • Create rCode
    • rCode withdraw history
    • rCode deposit history
    • rCode details
    • Use rCode
  • OTC
    • Введение в OTC
    • Get payment types
    • Get my ads
    • Create ad
    • Update ad
    • Publish ad
    • Unpublish ad
    • Get offers
    • Fetch ads
    • Get order detail
    • Create order
    • Accept order
    • Decline order
    • Cancel order
    • Chat-history
    • Chat history page query
    • Pay order
    • Release order
    • Cancel appeal
    • Get order history
    • Create appeal
    • Send message
  • CRYPTO-PROCESSING
    • Введение
    • Создание проекта
    • Настройка проекта
    • Работа с инвойсами
    • Projects Settings
      • Get Invoices (Paginated)
      • Set deposit return address
      • Get Available Token Settings
      • Get Project Token Settings
      • Update Project Token Settings
      • Batch Update Project Token Settings
      • Get Projects
      • Edit Project
    • Invoice
      • Available Invoice Currencies
      • Create Invoice
      • Get Invoice
      • Get Available Payment Tokens for Invoice
      • Get Payment Address for Invoice
      • Manual Complete Undepaid Invoice
  • Schemas
    • CryptoProcessing
      • CryptoInvoice
      • CryptoPaymentQuote
      • CryptoDeposit
      • ProjectProcessingTokenSetting
      • ProjectProcessingTokenSettingEditRequest
      • ProjectResponse
  1. MARKET

Get rates XML

GET
/open/market/rates_xml
Лимиты запросов: 5 в секунду, но не более 100 в минуту

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.rapira.net/open/market/rates_xml' \
--header 'Accept: application/xml'
Response Response Example
<?xml version='1.0' encoding='UTF-8'?>
<rates>
    <item>
        <from>USDT</from>
        <to>RUB</to>
        <in>1</in>
        <out>96.00000000</out>
    </item>
    <item>
        <from>BTC</from>
        <to>RUB</to>
        <in>1</in>
        <out>5752169.24000000</out>
    </item>
    <item>
        <from>ETH</from>
        <to>RUB</to>
        <in>1</in>
        <out>287505.87000000</out>
    </item>
    <item>
        <from>BTC</from>
        <to>USDT</to>
        <in>1</in>
        <out>59876.00000000</out>
    </item>
    <item>
        <from>ETH</from>
        <to>USDT</to>
        <in>1</in>
        <out>2983.50000000</out>
    </item>
    <item>
        <from>ETH</from>
        <to>BTC</to>
        <in>1</in>
        <out>0.04976700</out>
    </item>
    <item>
        <from>USDC</from>
        <to>RUB</to>
        <in>1</in>
        <out>96.06000000</out>
    </item>
    <item>
        <from>USDC</from>
        <to>USDT</to>
        <in>1</in>
        <out>1.00090000</out>
    </item>
    <item>
        <from>LTC</from>
        <to>USDT</to>
        <in>1</in>
        <out>78.63500000</out>
    </item>
    <item>
        <from>TRX</from>
        <to>USDT</to>
        <in>1</in>
        <out>0.11939800</out>
    </item>
    <item>
        <from>BNB</from>
        <to>USDT</to>
        <in>1</in>
        <out>571.12000000</out>
    </item>
    <item>
        <from>DAI</from>
        <to>USDT</to>
        <in>1</in>
        <out>1.00050000</out>
    </item>
    <item>
        <from>TON</from>
        <to>USDT</to>
        <in>1</in>
        <out>5.07230000</out>
    </item>
</rates>
Modified at 2025-12-04 08:12:15
Previous
Get rates JSON
Next
Get market depth
Built with